<?php
/**
*
* @package - Flash Watch on Index MOD
* @version $Id:$
* @file				acp_fclock.php
* @copyright (c) 2014 all4phone (http://phpbbmods.cba.pl/)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_fclock
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_fclock';
		$this->page_title = 'ACP_FCLOCK_SETTINGS';

		$fclock_enable = request_var('fclock_enable', $config['fclock_enable']);
		$fclock_number = request_var('fclock_number', $config['fclock_number']);
		$fclock_style = request_var('fclock_style', $config['fclock_style']);
		
		
		$form_name = 'acp_fclock';
		add_form_key($form_name);

		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['ACP_FCLOCK_SETTINGS_CHANGED'];
			$log = 'LOG_FCLOCK_SETTINGS_CHANGED';

			set_config('fclock_enable', $fclock_enable);
			set_config('fclock_number', $fclock_number);
			set_config('fclock_style', $fclock_style);
			
			add_log('admin', 'LOG_' . $log);
			trigger_error($message . adm_back_link($this->u_action));
		}
		
		$template->assign_vars(array(
			'U_ACTION'						=> $this->u_action,
			'FCLOCK_ENABLE'					=> $fclock_enable,
			'FCLOCK_VERSION'				=> $config['fclock_version'],
			'FCLOCK_NUMBER'					=> $fclock_number,
			'FCLOCK_STYLE'					=> $fclock_style,
			'FCLOCK_STYLE'					=> $fclock_style == 'class',
			'FCLOCK_NONE_STYLE'				=> $fclock_style == 'none',
		));
	}
}

?>
